<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.5.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.jkcredit</groupId>
    <artifactId>invoice-hub</artifactId>
    <version>1.0</version>
    <name>invoice-hub</name>
    <description>Demo project for Spring Boot</description>

    <properties>
        <java.version>1.8</java.version>
        <fluent-validator.version>1.0.9</fluent-validator.version>
        <mybatis-plus.version>3.1.0</mybatis-plus.version>
        <model-mapper.version>2.3.0</model-mapper.version>
        <zalando.version>0.23.0</zalando.version>
        <fastjson.version>1.2.51</fastjson.version>
        <etc.commons.logging.version>1.2</etc.commons.logging.version>
        <etc.httpclient.version>4.5</etc.httpclient.version>
        <etc.httpcore.version>4.4</etc.httpcore.version>
        <etc.httpmime.version>4.5</etc.httpmime.version>
        <jackson.annotations.version>2.8</jackson.annotations.version>
        <jackson.core.version>2.8</jackson.core.version>
        <jackson.databind.version>2.8</jackson.databind.version>
        <jackson.datatype.version>2.8</jackson.datatype.version>
        <sdk.common.version>1.0</sdk.common.version>
        <waybill.protocol.version>1.3.4</waybill.protocol.version>
        <slf4j.api.version>1.7</slf4j.api.version>
        <validation.api.version>1.1.0</validation.api.version>
        <jsonwebtoken.version>0.9.0</jsonwebtoken.version>
        <commons.beanutils.version>1.9.4</commons.beanutils.version>
        <mybatis.starter.version>2.1.1</mybatis.starter.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-quartz</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>${mybatis.starter.version}</version>
        </dependency>

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-rabbit-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.baidu.unbiz</groupId>
            <artifactId>fluent-validator-jsr303</artifactId>
            <version>${fluent-validator.version}</version>
        </dependency>

        <dependency>
            <groupId>org.modelmapper</groupId>
            <artifactId>modelmapper</artifactId>
            <version>${model-mapper.version}</version>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>${mybatis-plus.version}</version>
        </dependency>

        <dependency>
            <groupId>org.zalando</groupId>
            <artifactId>problem-spring-web</artifactId>
            <version>${zalando.version}</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>${fastjson.version}</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>${jsonwebtoken.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>${commons.beanutils.version}</version>
        </dependency>
        <!-- 引入第三方JAR-->
        <dependency>
            <groupId>etc.commons.logging</groupId>
            <artifactId>etc-commons-logging</artifactId>
            <version>${etc.commons.logging.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-commons-logging-1.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.httpclient</groupId>
            <artifactId>etc-httpclient</artifactId>
            <version>${etc.httpclient.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-httpclient-4.5.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.httpcore</groupId>
            <artifactId>etc-httpcore</artifactId>
            <version>${etc.httpcore.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-httpcore-4.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.httpmime</groupId>
            <artifactId>etc-httpmime</artifactId>
            <version>${etc.httpmime.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-httpmime-4.5.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.jackson.annotations</groupId>
            <artifactId>etc-jackson-annotations</artifactId>
            <version>${jackson.annotations.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-jackson-annotations-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.jackson.core</groupId>
            <artifactId>etc-jackson-core</artifactId>
            <version>${jackson.core.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-jackson-core-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.jackson.databind</groupId>
            <artifactId>etc-jackson-databind</artifactId>
            <version>${jackson.databind.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-jackson-databind-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc.jackson.datatype-jsr310</groupId>
            <artifactId>etc-jackson-datatype-jsr310</artifactId>
            <version>${jackson.datatype.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/etc-jackson-datatype-jsr310-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>sdk.common</groupId>
            <artifactId>sdk-common</artifactId>
            <version>${sdk.common.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/sdk-common-1.0.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>sdk.waybill.protocol</groupId>
            <artifactId>sdk-waybill-protocol</artifactId>
            <version>${waybill.protocol.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/sdk-waybill-protocol-1.3.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>slf4j.api</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>${slf4j.api.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/slf4j-api-1.7.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>validation.api</groupId>
            <artifactId>validation-api</artifactId>
            <version>${validation.api.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/validation-api-1.1.0.Final.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>org.springframework.retry</groupId>
            <artifactId>spring-retry</artifactId>
            <version>1.2.4.RELEASE</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>
